Popup Calendar doesn't Advance in Chrome

2010-06-28 17:14 - Rafael Diaz-Tushman

Status: Closed Start date: 2010-06-28

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed Affected version: 0.9.4

Description

Redmine 0.9.4.devel.3764 (MySQL)

When using the popup calendar in Chrome, you cannot advance more than one click (month/year).  If you advance twice, the popup

calendar goes blank.  I can recreate this bug even here (see attached screenshot)

This doesn't happen in Firefox.

Associated revisions

Revision 3822 - 2010-06-30 04:54 - Eric Davis

Fix Chrome JavaScript bug in the pop up calendar. #5769

Contributed by Holger Just

History

#1 - 2010-06-28 19:20 - Holger Just

- File 001_fixed_integer_subtraction.diff added

I can confirm the issue on Chrome 5.0.375.86 on OSX 10.6. The error message is "Uncaught illegal access in

/javascripts/calendar/calendar.js?1277038037:1108"

The issue is the same as http://code.google.com/p/chromium/issues/detail?id=43973. The proposed fix in this ticket solves the issue for me. I

transformed it into a patch to Redmine and attached it here.

#2 - 2010-06-28 20:42 - Rafael Diaz-Tushman

Perfect, that fixed it.

#3 - 2010-06-28 22:33 - Holger Just

Eric, could you please commit this patch?

#4 - 2010-06-30 04:46 - Eric Davis

- Status changed from New to Closed

- Assignee set to Eric Davis

- Target version set to 1.0.0 (RC)

- % Done changed from 0 to 100

- Resolution set to Fixed

I didn't have any issues with Chrome 5.0.342.9 beta on Linux but this does look like a JavaScript coding bug.  Applied in r3822.

Files

blank_popup_calendar.png 82.3 KB 2010-06-28 Rafael Diaz-Tushman

001_fixed_integer_subtraction.diff 462 Bytes 2010-06-28 Holger Just

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

http://code.google.com/p/chromium/issues/detail?id=43973
https://www.redmine.org/projects/redmine/repository/svn/revisions/3822
http://www.tcpdf.org

